<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans.xsd
    http://www.springframework.org/schema/context
    http://www.springframework.org/schema/context/spring-context.xsd">

	<!-- Load the properties file -->
	<context:property-placeholder location="classpath:sport.properties"/>
	
    <!-- Define your beans here -->
    
    <!-- Define a dependency -->
    <bean id="myFortuneService"
    	class="fr.cedricalibert.udemySpringFormation.HappyFortuneService">
    </bean>
    
    <bean id="myRandomFortuneService"
    	class="fr.cedricalibert.udemySpringFormation.RandomFortuneService">
    </bean>
    
 	<bean id="myCoach"
 		class="fr.cedricalibert.udemySpringFormation.TrackCoach">
 		<!-- setup the constructor injection -->
 		<constructor-arg ref="myRandomFortuneService"/>	 		
 	</bean>
 	
 	<bean id="myCricketCoach"
 		class="fr.cedricalibert.udemySpringFormation.CricketCoach">
 		<property name="fortuneService" ref="myFortuneService"/>
 		<property name="email" value="${foo.email}"/>
 		<property name="team" value="${foo.team}"/>
 	</bean>


</beans>





